Bug 837000 - [RFE] when updating sync plan by CLI, it resets the interval.
[RFE] when updating sync plan by CLI, it resets the interval.
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Pavel Pokorny
Hayk Hovsepyan
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 09:31 EDT by Hayk Hovsepyan
Modified: 2013-03-27 16:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Updating a sync plan via the command line caused the interval field to reset. This bug fix stops the interval from resetting. A sync plan's interval does not reset now when updating.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:47:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-07-02 09:31:04 EDT
Description of problem:
When updating sync plan name or date, it resets the "interval" field.

Version-Release number of selected component (if applicable):
pulp-common-1.1.11-1.el6.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
katello-glue-pulp-0.2.43-1.git.36.5ddcc14.el6.noarch
katello-repos-testing-0.2.4-1.el6.noarch
katello-0.2.43-1.git.36.5ddcc14.el6.noarch
katello-configure-0.2.28-1.git.4.81a551d.el6.noarch
candlepin-tomcat6-0.5.32-1.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-agent-1.0.4-1.git.0.4d2cfb2.el6.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
mod_wsgi-3.3-3.pulp.el6.x86_64
python-qpid-0.14-7.el6_2.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-glue-candlepin-0.2.43-1.git.36.5ddcc14.el6.noarch
katello-selinux-0.2.6-1.git.0.c9816da.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-0.2.41-1.git.25.9c71bc3.el6.noarch
candlepin-0.5.32-1.el6.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-glue-foreman-0.2.43-1.git.36.5ddcc14.el6.noarch
pulp-1.1.11-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-0.2.41-1.git.25.9c71bc3.el6.noarch
katello-cli-tests-0.2.20-1.el6.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
katello-certs-tools-1.1.6-1.git.0.4878f30.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
katello-common-0.2.43-1.git.36.5ddcc14.el6.noarch
katello-repos-0.2.4-1.el6.noarch
pulp-selinux-server-1.1.11-1.el6.noarch


How reproducible:
always

Steps to Reproduce:
1. Create some sync plan by CLI, specify some Interval for it.
2. Update just created sync plan name (sync_plan update --org $org --name $name --new_name $newname)
3. List sync plans and you will see that the Interval field for just updated sync plan is "none".
  
Actual results:
After updating sync plan name or date, it rests the interval field to "none"

Expected results:
It should not reset the interval field, and should update only specified fields.

Additional info:
By WebUI you can update sync plan name and interval is not changed.
Comment 1 Mike McCune 2012-09-05 11:21:59 EDT
This is not an RFE and is a bug.  I'll attempt a fix in 1.1
Comment 2 Pavel Pokorny 2012-09-13 03:26:23 EDT
Fixed in bfd9c08
Comment 4 Hayk Hovsepyan 2012-09-18 10:44:12 EDT
Verified on revision:

katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
candlepin-selinux-0.7.8-1.el6cf.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
pulp-selinux-server-1.1.12-1.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
candlepin-0.7.8-1.el6cf.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-configure-1.1.9-3.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
candlepin-tomcat6-0.7.8-1.el6cf.noarch
pulp-common-1.1.12-1.el6cf.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-selinux-1.1.1-1.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
python-qpid-0.14-7.el6_2.noarch
python-isodate-0.4.4-4.pulp.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
pulp-1.1.12-1.el6cf.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64

Now it works correctly and does not reset interval.
Comment 6 errata-xmlrpc 2012-12-04 14:47:07 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.